<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/ButtonsCommanderEncoder.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('ButtonsCommanderEncoder_8hpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">ButtonsCommanderEncoder.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __buttonsCommanderEncoder_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __buttonsCommanderEncoder_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERENCODER</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">class </span><a class="code" href="classButtonsCommanderPush.html">ButtonsCommanderPush</a>;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classButtonsCommanderEncoder.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classButtonsCommanderEncoder.html">ButtonsCommanderEncoder</a> : <span class="keyword">public</span> <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;{</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; <span class="keyword">private</span>:</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keywordtype">int</span> currentValue;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keywordtype">int</span> startingCurrentValue;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    GPIO_pin_t pin1;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    GPIO_pin_t pin2;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordtype">int</span> mini, maxi;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordtype">int</span> lastEncoded;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    byte moveIncrement; <span class="comment">// number of encoder movements needed to change current position.</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">char</span> incrementPosition;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <a class="code" href="classButtonsCommanderEncoder.html#a2d32ba9af1f29577aa9137f414caa3d3">ButtonsCommanderEncoder</a>();</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classButtonsCommanderEncoder.html#af9cc403a8374e4d9493648b3cfb8c869">   45</a></span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classButtonsCommanderEncoder.html#af9cc403a8374e4d9493648b3cfb8c869">GetPosition</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;currentValue; }</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classButtonsCommanderEncoder.html#ad6c9f3c48d4587b2fde0b270ed2d9b85">   47</a></span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderEncoder.html#ad6c9f3c48d4587b2fde0b270ed2d9b85">ResetStartingPosition</a>() { this-&gt;currentValue = this-&gt;startingCurrentValue; }</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderEncoder.html#ae16003a4ee9c3b80c78194a8de43b8ac">begin</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <span class="keywordtype">int</span> inPin1, <span class="keywordtype">int</span> inPin2, byte inMoveIncrement = 3, <span class="keywordtype">int</span> inStartingCurrentValue = 0, <span class="keywordtype">int</span> inMinimum = 0, <span class="keywordtype">int</span> inMaximum = 0);</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderEncoder.html#a7fa7dfee89534eaa194aa578d53427a9">loop</a>();</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keywordtype">void</span> printCommander();</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;};</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classButtonsCommanderEncoder_html_a7fa7dfee89534eaa194aa578d53427a9"><div class="ttname"><a href="classButtonsCommanderEncoder.html#a7fa7dfee89534eaa194aa578d53427a9">ButtonsCommanderEncoder::loop</a></div><div class="ttdeci">unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderEncoder_8cpp_source.html#l00035">ButtonsCommanderEncoder.cpp:35</a></div></div>
<div class="ttc" id="classButtonsCommanderEncoder_html_ae16003a4ee9c3b80c78194a8de43b8ac"><div class="ttname"><a href="classButtonsCommanderEncoder.html#ae16003a4ee9c3b80c78194a8de43b8ac">ButtonsCommanderEncoder::begin</a></div><div class="ttdeci">void begin(unsigned long inId, int inPin1, int inPin2, byte inMoveIncrement = 3, int inStartingCurrentValue = 0, int inMinimum = 0, int inMaximum = 0)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderEncoder_8cpp_source.html#l00015">ButtonsCommanderEncoder.cpp:15</a></div></div>
<div class="ttc" id="classButtonsCommanderEncoder_html_ad6c9f3c48d4587b2fde0b270ed2d9b85"><div class="ttname"><a href="classButtonsCommanderEncoder.html#ad6c9f3c48d4587b2fde0b270ed2d9b85">ButtonsCommanderEncoder::ResetStartingPosition</a></div><div class="ttdeci">void ResetStartingPosition()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderEncoder_8hpp_source.html#l00047">ButtonsCommanderEncoder.hpp:47</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html"><div class="ttname"><a href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00015">ButtonsCommanderButton.hpp:15</a></div></div>
<div class="ttc" id="classButtonsCommanderEncoder_html"><div class="ttname"><a href="classButtonsCommanderEncoder.html">ButtonsCommanderEncoder</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderEncoder_8hpp_source.html#l00028">ButtonsCommanderEncoder.hpp:28</a></div></div>
<div class="ttc" id="classButtonsCommanderEncoder_html_af9cc403a8374e4d9493648b3cfb8c869"><div class="ttname"><a href="classButtonsCommanderEncoder.html#af9cc403a8374e4d9493648b3cfb8c869">ButtonsCommanderEncoder::GetPosition</a></div><div class="ttdeci">int GetPosition() const </div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderEncoder_8hpp_source.html#l00045">ButtonsCommanderEncoder.hpp:45</a></div></div>
<div class="ttc" id="classButtonsCommanderEncoder_html_a2d32ba9af1f29577aa9137f414caa3d3"><div class="ttname"><a href="classButtonsCommanderEncoder.html#a2d32ba9af1f29577aa9137f414caa3d3">ButtonsCommanderEncoder::ButtonsCommanderEncoder</a></div><div class="ttdeci">ButtonsCommanderEncoder()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderEncoder_8cpp_source.html#l00011">ButtonsCommanderEncoder.cpp:11</a></div></div>
<div class="ttc" id="classButtonsCommanderPush_html"><div class="ttname"><a href="classButtonsCommanderPush.html">ButtonsCommanderPush</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderPush_8hpp_source.html#l00029">ButtonsCommanderPush.hpp:29</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>ButtonsCommanderEncoder.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
